Summary: X based presentation software.
Name: MagicPoint
Version: 1.10a
Release: 4.1AX
License: GPL
Group: Applications/Productivity
URL: http://www.mew.org/mgp
Source: ftp://ftp.mew.org/pub/MagicPoint/magicpoint-%{version}.tar.gz
Patch: XFree4.0-freetype.patch
Patch1: magicpoint-1.08a-redhat.patch
Patch2: magicpoint-1.09a-rpath.patch
Patch3: magicpoint-1.10a-fix-gcc-warnings.patch
Patch4: magicpoint-1.09a-varargs.patch
Patch5: magicpoint-1.10a-png.patch
Patch6: magicpoint-1.10a-longline.patch
## [mgp-users-jp:01341]
Patch7: magicpoint-1.10a-fixtypo-opaque.patch
Patch8: magicpoint-1.10a-mgpnet.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: freetype-devel VFlib2-devel
BuildRequires: fontconfig-devel XFree86-devel libungif-devel libpng-devel libmng-devel
Requires: VFlib2 >= 2.25.6-8 VFlib2-conf-ja >= 2.25.6-8 netpbm-progs
Obsoletes: mgp,magicpoint

%description
MagicPoint is an X11 based presentation tool. MagicPoint's
presentation files (typically .mgp files) are plain text so you can
create presentation files quickly with your favorite editor.

%prep
%setup -q -n magicpoint-%{version}
%patch -p1 
%patch1 -p1 -b .rh
%patch2 -p1 -b .rpath
%patch3 -p1 -b .warnings
#%patch4 -p1 -b .varargs
%patch5 -p1
%patch6 -p1 -b .longline
%patch7 -p1 -b .fixtypo-opaque
%patch8 -b .mgpnet

%build
CFLAGS=-I/usr/include/freetype1/freetype
autoconf
cp /usr/share/libtool/config.{sub,guess} .
%configure --prefix=/usr/X11R6 --enable-gif
xmkmf -a
make
rm -rf $RPM_BUILD_DIR/magicpoint-%{version}/sample/.cvsignore

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make install install.man DESTDIR=$RPM_BUILD_ROOT

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README SYNTAX USAGE 
%doc sample
/usr/X11R6/bin/*
/usr/X11R6/lib/X11/mgp
/usr/X11R6/man/*/*

%changelog
* Mon Jun 07 2004 Akinobu Mita <mita@miraclelinux.com> 1.10a-4.1AX
- fix mgpnet script.

* Fri Sep 19 2003 Akira TAGOH <tagoh@redhat.com> 1.10a-4
- added some missing BuildRequires.

* Tue Sep 02 2003 Akira TAGOH <tagoh@redhat.com> 1.10a-3
- magicpoint-1.10a-fixtypo-opaque.patch: applied a patch to work the opaque.

* Wed Aug 20 2003 Akira TAGOH <tagoh@redhat.com> 1.10a-2
- magicpoint-1.10a-longline.patch: fixed the freeze if the line is too long. (#100736)

* Wed Jun 25 2003 Akira TAGOH <tagoh@redhat.com> 1.10a-1
- New upstream release.
- removed the dependency of watanabe-vf due to the copyright issue.
- add fontconfig-devel and XFree86-devel to BuildReqruies.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 22 2003 Jeremy Katz <katzj@redhat.com> 1.09a-12
- gcc 3.3 doesn't implement varargs.h, include stdarg.h instead

* Fri Apr 18 2003 Akira TAGOH <tagoh@redhat.com> 1.09a-11
- rebuild.

* Fri Apr 18 2003 Akira TAGOH <tagoh@redhat.com> 1.09a-10
- magicpoint-1.09a-rpath.patch: don't specify -rpath. (#65966)
- magicpoint-1.09a-fix-gcc-warnings.patch: applied to fix gcc warnings. (#79642)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 1.09a-8
- add VFlib2-conf-ja >=2.25.6-8 as a requirement to fix bug 74105

* Wed Nov 20 2002 Tim Powers <timp@redhat.com>
- rebuild on all arches

* Tue Jun 25 2002 Owen Taylor <otaylor@redhat.com>
- Remove extraneous ttfonts dependency; VFlib already has that dependency

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 27 2002 Yukihiro Nakai <ynakai@redhat.com>
- Remove .cvsignore file(#65241)

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Mar 26 2002 Yukihiro Nakai <ynakai@redhat.com>
- Update to 1.09a

* Tue Mar  5 2002 Jeremy Katz <katzj@redhat.com>
- Add ttfonts to Requires (#24868)
- rebuild in new environment

* Thu Jan 31 2002 Bill Nottingham <notting@redhat.com>
- rebuild in new environment

* Wed Sep 05 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add magicpoint to Obsoletes.

* Tue Sep 04 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add --enable-gif
- Add watanabe-vf to Requires.

* Wed Jul 18 2001 Yukihiro Nakai <ynakai@redhat.com>
- Delete require ttfont-ja

* Mon Jul  9 2001 Yukihiro Nakai <ynakai@redhat.com>
- Rebuild against RHL7.2
- Rename to MagicPoint
- Update to 1.08a
- Enable vflib

* Wed Jan 24 2001 Tim Powers <timp@redhat.com>
- fixed bug 24868

* Mon Aug 7 2000 Tim Powers <timp@redhat.com>
- disable vflib to fix bug #15607

* Wed Aug 2 2000 Tim Powers <timp@redhat.com>
- rebuilt against libpng-1.0.8

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Nalin Dahyabhai <nalin@redhat.com>
- stop disabling freetype support

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed May 24 2000 Tim Powers <timp@redhat.com>
- updated to 1.07a
- cleaned up files list
- using %configure
- fixed to use XFree86 4.0

* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- updated source to 1.05a 
- built for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Fri Oct 08 1998 Michael Maher <mike@redhat.com> 
- updated source to 1.04a
- built for 5.2

* Fri May 22 1998 Cristian Gafton <gafton@redhat.com>
- built for PowerTools
